Gets the number of fields in the result set

- « mysqli_result::fetch_row

- mysqli_result::field_seek »

- PHP Manual
- mysqli_result
- Gets the number of fields in the result set

# mysqli_result::$field_count

# mysqli_num_fields

(PHP 5, PHP 7, PHP 8)

mysqli_result::$field_count -- mysqli_num_fields — Gets the number of fields in the result set

### Description

Object-oriented style

int $mysqli_result->field_count;

Procedural style

mysqli_num_fields(mysqli_result `$result`): int

Returns the number of fields in the result set.

### Parameters

`result`

  Procedural style only: A mysqli_result object returned by mysqli_query(), mysqli_store_result(), mysqli_use_result() or mysqli_stmt_get_result().

### Return Values

An int representing the number of fields.

### Examples

Example #1 Object-oriented style

    <?php

    mysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);
    $mysqli = new mysqli("localhost", "my_user", "my_password", "world");

    $result = $mysqli->query("SELECT Name, CountryCode, District, Population FROM City ORDER BY ID LIMIT 1");

    /* Get the number of fields in the result set */
    $field_cnt = $result->field_count;

    printf("Result set has %d fields.\n", $field_cnt);

Example #2 Procedural style

    <?php

    mysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);
    $link = mysqli_connect("localhost", "my_user", "my_password", "world");

    $result = mysqli_query($link, "SELECT Name, CountryCode, District, Population FROM City ORDER BY ID LIMIT 1");

    /* Get the number of fields in the result set */
    $field_cnt = mysqli_num_fields($result);

    printf("Result set has %d fields.\n", $field_cnt);

The above examples will output:

    Result set has 4 fields.

### See Also

- mysqli_fetch_field() - Returns the next field in the result set